/*
 * battery-plugin
 *
 * Copyright (c) 2020 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEV_BATTERY_PLUGIN_H__
#define __DEV_BATTERY_PLUGIN_H__

#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#define FEATURE_BATTERY_PLUGIN_DLOG
#ifdef FEATURE_BATTERY_PLUGIN_DLOG
#define LOG_TAG	"BATTERY_PLUGIN"
#include <dlog.h>
#define _I(fmt, args...)	SLOGI(fmt, ##args)
#define _D(fmt, args...)	SLOGD(fmt, ##args)
#define _E(fmt, args...)	SLOGE(fmt, ##args)
#else
#define _I(x, ...)			do { } while (0)
#define _D(x, ...)			do { } while (0)
#define _E(x, ...)			do { } while (0)
#endif

int battery_get_info_direct(void *battery_info);

#endif
